apiVersion: apps/v1
kind: Deployment
metadata:
  name: webcatalog2
  labels:
    app: webcatalog2
spec:
  strategy:
    type: Recreate
  replicas: 1
  selector:
    matchLabels:
      app: webcatalog2
  template:
    metadata:
      labels:
        app: webcatalog2
    spec:
      containers:
        - name: webcatalog2
          image: image-name
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 3000
          env:
            - name: REACT_APP_KEYCLOAK_URL
              value: "Keycloak URL"
            - name: REACT_APP_CATALOG_API
              value: "Catalog API URL"
            - name: REACT_APP_NEGOCATION_TOOL_API
              value: "Negotiation Tool API URL"
            - name: REACT_APP_VERIFIER_API
              value: "https://verifier.aster-x.demo23.gxfs.fr"